Package: org.apache.groovy.parser.antlr4.internal

## [Java] Class DescriptiveErrorStrategy

- org.apache.groovy.parser.antlr4.internal.DescriptiveErrorStrategy

-     public class DescriptiveErrorStrategy
      extends BailErrorStrategy

  Provide friendly error messages when parsing errors occurred.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DescriptiveErrorStrategy(CharStream charStream)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `createFailedPredicateErrorMessage(org.apache.groovy.groovysh.Parser recognizer, FailedPredicateException e)`
    `` | `protected String` | `createInputMismatchErrorMessage(org.apache.groovy.groovysh.Parser recognizer, InputMismatchException e)`
    `` | `protected String` | `createNoViableAlternativeErrorMessage(org.apache.groovy.groovysh.Parser recognizer, NoViableAltException e)`
    `` | `public void` | `recover(org.apache.groovy.groovysh.Parser recognizer, RecognitionException e)`
    `` | `public Token` | `recoverInline(org.apache.groovy.groovysh.Parser recognizer)`
    `` | `protected void` | `reportFailedPredicate(org.apache.groovy.groovysh.Parser recognizer, FailedPredicateException e)`
    `` | `protected void` | `reportInputMismatch(org.apache.groovy.groovysh.Parser recognizer, InputMismatchException e)`
    `` | `protected void` | `reportNoViableAlternative(org.apache.groovy.groovysh.Parser recognizer, NoViableAltException e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BailErrorStrategy` | `sync, recover, recoverInline, reset, reportError, inErrorRecoveryMode, reportMatch, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public DescriptiveErrorStrategy(CharStream charStream)

  - ### Method Detail

    - #### protected String createFailedPredicateErrorMessage(org.apache.groovy.groovysh.Parser recognizer, FailedPredicateException e)

    - #### protected String createInputMismatchErrorMessage(org.apache.groovy.groovysh.Parser recognizer, InputMismatchException e)

    - #### protected String createNoViableAlternativeErrorMessage(org.apache.groovy.groovysh.Parser recognizer, NoViableAltException e)

    - #### @Override public void recover(org.apache.groovy.groovysh.Parser recognizer, RecognitionException e)

    - #### @Override public Token recoverInline(org.apache.groovy.groovysh.Parser recognizer)

    - #### @Override protected void reportFailedPredicate(org.apache.groovy.groovysh.Parser recognizer, FailedPredicateException e)

    - #### @Override protected void reportInputMismatch(org.apache.groovy.groovysh.Parser recognizer, InputMismatchException e)

    - #### @Override protected void reportNoViableAlternative(org.apache.groovy.groovysh.Parser recognizer, NoViableAltException e)